//=============================================================================
// FlatoutCarFactory.uc
//
// Author: Nick Pilshikov "Evil"
// Email: Nick_Pv@mail.ru / EvilTheDark@gmail.com
// For: ProjectMarica FlatoutCar
// Site: http://www.set-games.ru
// Steam: http://steamcommunity.com/profiles/76561198136381284/
//
// 2016-2017.
//=============================================================================

class FlatoutCarFactory extends NKVCarFactory;

defaultproperties
{
	TorqueCurve=(Points=((InVal=0.0,OutVal=120.0),(InVal=650000.0,OutVal=50.0),(InVal=900000.0))

	RanOverDamage=class'NVCarDamage'
	bAllowLights=true
	bAllowProjLight=false
	bImmortal=false
	bSpawnBrokenDetail=true
	bCanSeeDriver=true
	VehicleClass=class'FlatoutCar'
	Mesh=SkeletalMesh'ProjectMaricaFlatoutCar.pm_speedevil_model01'
	Skins(0)=Texture'ProjectMaricaFlatoutCar.skin1'
	Skins(1)=Texture'ProjectMaricaFlatoutCar.common'
	Skins(2)=Texture'ProjectMaricaFlatoutCar.interior'
	Skins(3)=Shader'ben_skins.env_maps.Translucent'
	Skins(4)=Shader'ben_skins.env_maps.Translucent'
	Skins(5)=Texture'ProjectMaricaFlatoutCar.tire_01'
	Skins(6)=Texture'ProjectMaricaFlatoutCar.common'
	Skins(7)=Texture'ProjectMaricaFlatoutCar.dashboard'
	Skins(8)=Texture'ProjectMaricaFlatoutCar.shock'
	Skins(9)=Texture'ProjectMaricaFlatoutCar.common'
}
