//=============================================================================
// NKSurfaceTypeVolume.uc
//
// Author: Nick Pilshikov "Evil"
// Email: Nick_Pv@mail.ru / EvilTheDark@gmail.com
// For: ProjectMarica FlatoutCar
// Site: http://www.set-games.ru
// Steam: http://steamcommunity.com/profiles/76561198136381284/
//
// 2016-2017.
//=============================================================================

class NKSurfaceTypeVolume extends PhysicsVolume;

var() NKVehicle.MapSurfaceTypeSystem MapSurfaceType;

event ActorEnteredVolume(Actor Other)
{
	if( Other != None 
		&& IntCollisionActor(Other) != None 
		&& IntCollisionActor(Other).myVehicle != None 
		&& IntCollisionActor(Other).myVehicle.IsA('FlatoutCar') 
		&& FlatoutCar(IntCollisionActor(Other).myVehicle).MapSurfaceType != MapSurfaceType )
		FlatoutCar(IntCollisionActor(Other).myVehicle).xSurfaceTypeChanged(MapSurfaceType);
}

event ActorLeavingVolume(Actor Other)
{
	if( Other != None 
		&& IntCollisionActor(Other) != None 
		&& IntCollisionActor(Other).myVehicle != None 
		&& IntCollisionActor(Other).myVehicle.IsA('FlatoutCar') )
		FlatoutCar(IntCollisionActor(Other).myVehicle).xSurfaceTypeReseted();
}

defaultproperties
{
	BrushColor=(A=255,B=255,G=120,R=120)
}